TechDraw Radiusbemaßung

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw Dimension Radius and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Official icon not found TechDraw Radiusbemaßung

Menüeintrag
TechDraw → Radius bemaßen
Arbeitsbereich
TechDraw
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
TechDraw Durchmesserbemaßung

Beschreibung

Das Werkzeug Radiusbemaßung fügt eine Radiusbemaßung einer Ansicht hinzu. Die Bemaßung kann auf jede Kante angewendet werden, die ein Kreis oder ein kreiförmiger Bogen ist. Der Abstand ist zuerst der projizierte Abstand (wie in der Zeichnung dargestellt), aber dieser kann unter Verwendung des TechDraw Dimension Link.svg Bemaßungen verknüpfen Werkzeugs zum eigentlichen 3D Abstand geändert werden.


TechDraw Dimension Radius example.png

Messen eines Kreises, angeben des Radius

Anwendung

  1. Wähle einen Kreis oder Kreisbogen in der Zeichnung. (Hinweis: Einige Bögen, die kreisförmig aussehen, können tatsächlich Ellipsen oder BSplines sein. In diesen Fällen können keine Durchmesserbemaßungen erstellt werden)
  2. Drücke die Techdraw Dimension Radius.png Einen Radius der gewählten Ansicht bemaßen Schaltfläche.
  3. Eine Bemaßung wird der Ansicht hinzugefügt. Sie kann anschließend an die gewünschte Position gezogen werden.
  4. Falls erforderlich, füge Toleranzen hinzu, wie in diese Seite beschrieben.

Um die Eigenschaften eines Bemaßungsobjekts zu ändern, doppel-klicke sie entweder in der Zeichnung oder in der Baumansicht. Dadurch wird der Bemaßungsdialog geöffnet.

Begrenzungen

Bemaßungsobjekte sind anfällig für "topologsche Benennung"sprobleme. Siehe die Information im TechDraw Längenbemaßungs Werkzeug für weitere Informationen.

Eigenschaften

Dieses Objekt hat die gleichen Eigenschaften wie das TechDraw Längenbemassungswerkzeug. Siehe dieses Werkzeug für weitere Einzelheiten.

Programmierung

Siehe auch: TechDraw API und FreeCAD Grundlagen Skripten.

Das Werkzeug Radiusbemaßung kann in Makros und aus der Python Konsole mit den folgenden Funktionen verwendet werden:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)